View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001946LazarusWidgetsetpublic2006-03-30 03:382009-10-23 00:40
ReporterAlexander Todorov 
Assigned ToPaul Ishenin 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSLinuxOS Version
Product Version0.9.13 (SVN)Product Build 
Target VersionFixed in Version0.9.27 (SVN) 
Summary0001946: Caption with & issues
DescriptionOn certain controls there are problems with & character in captions.
* TLabel/GTK2 shows the underscore character above the symbol not below. GTK1 is OK
* For a main menu placed on a form the _ character is shown only for the top level menu items. e.g. File / Edit / Help ... and it is not shown for submenu items.
* Pressing Alt+F fires onclick event for the menu item but does not drop down the sub menu.
Steps To Reproducesee attached test project
Tagsgtk2
Fixed in Revision
LazTarget-
WidgetsetGTK 2
Attached Filesgz file icon accel.tar.gz [^] (3,098 bytes) 2006-03-30 03:38

- Relationships
related to 0007385closedVincent Snijders gtk2 showmessage crashes on ubuntu with theme "silicon" 
related to 0007818closedVincent Snijders GTK2 ShowMessage -> SIGFPE 
related to 0010282closedMattias Gaertner Main menu not accessible via alt shortcuts (e.g. alt+f for File) 
related to 0007249closedVincent Snijders Accelerator keys in main menu not working 

-  Notes
(0002552)
Alexander Todorov (reporter)
2006-03-30 03:40

For the main menu F10 drops down the submenu in the attached project.
(0002570)
Alexander Todorov (reporter)
2006-03-30 05:57

for TLAbel, TButton doesn't work with cyrillic characters.
(0018835)
Felipe Monteiro de Carvalho (developer)
2008-04-16 00:52

The TLabel problem was fixed in the mean time. The other two are a little different now. Alt+F just doesn't work at all.
(0028511)
Paul Ishenin (manager)
2009-06-13 04:42

Others too were fixed in 0.9.27 too. Please test and close if ok.

- Issue History
Date Modified Username Field Change
2006-03-30 03:38 Alexander Todorov New Issue
2006-03-30 03:38 Alexander Todorov File Added: accel.tar.gz
2006-03-30 03:38 Alexander Todorov Widgetset => GTK 2
2006-03-30 03:40 Alexander Todorov Note Added: 0002552
2006-03-30 05:57 Alexander Todorov Note Added: 0002570
2006-03-30 06:01 Vincent Snijders Target => post 1.0
2006-03-30 06:01 Vincent Snijders Status new => acknowledged
2007-05-09 11:18 Felipe Monteiro de Carvalho Relationship added related to 0007385
2007-05-09 11:19 Felipe Monteiro de Carvalho Relationship added related to 0007818
2008-04-12 12:31 Felipe Monteiro de Carvalho Tag Attached: gtk2
2008-04-16 00:52 Felipe Monteiro de Carvalho Note Added: 0018835
2008-04-16 00:56 Felipe Monteiro de Carvalho Relationship added related to 0010282
2008-04-16 03:36 Felipe Monteiro de Carvalho Relationship added related to 0007249
2009-06-13 04:42 Paul Ishenin LazTarget post 1.0 => -
2009-06-13 04:42 Paul Ishenin Status acknowledged => resolved
2009-06-13 04:42 Paul Ishenin Fixed in Version => 0.9.27 (SVN)
2009-06-13 04:42 Paul Ishenin Resolution open => fixed
2009-06-13 04:42 Paul Ishenin Assigned To => Paul Ishenin
2009-06-13 04:42 Paul Ishenin Note Added: 0028511
2009-10-23 00:40 Marc Weustink Status resolved => closed



MantisBT 1.2.12[^]
Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker